public class Person {
    private String name;
    private PhoneNumber phone;
    private String email;

    public Person() { 
		this("", null, ""); 
	}

    public Person(String name, PhoneNumber phone, String email) {
        this.name = name;
        this.phone = phone;
        this.email = email;
    }

    public void setName(String name) { 
		this.name = name; 
	}
    
	public void setPhone(PhoneNumber phone) { 
		this.phone = phone; 
	}
    
	public void setEmail(String email) { 
		this.email = email; 
	}
    
	public String getName() { 
		return name; 
	}

    public PhoneNumber getPhoneNumber() { 
		return phone; 
	}

    public String getEmail() { 
		return email; 
	}
    
    public void print() { 
		System.out.printf("Person Name=%s Phone=%s Email=%s\n", name, phone, email); 
	}

    @Override public String toString() { 
		return "Person Name=" + name + " Phone=" + phone + " Email=" + email; 
	}
}
